PLSLABELFUNC(3)

NAME
plslabelfunc - Assign a function to use for generating custom axis labels

SYNOPSIS
plslabelfunc(label_func, label_data)

DESCRIPTION

This function allows a user to provide their own function to provide axis label text. The user function is given the numeric value for a point on an axis and returns a string label to correspond with that value. Custom axis labels can be enabled by passing appropriate arguments to plenv(3), plbox(3), plbox3(3) and similar functions.

This function is used in example 19.

ARGUMENTS

label_func (PLLABEL_FUNC_callback(3), input)
    This is the custom label function. In order to reset to the default labelling, set this to NULL. The labelling function parameters are, in order: .TP axis This indicates which axis a label is being requested for. The value will be one of PL_X_AXIS, PL_Y_AXIS or PL_Z_AXIS.

value
    This is the value along the axis which is being labelled.

label_text
    The string representation of the label value.

length
    The maximum length in characters allowed for label_text.

label_data (PLPointer(3), input)
    This parameter may be used to pass data to the label_func function.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.